Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.util
Class AdapterRequestProcessorUtil

    java.lang.Object
      com.bea.struts.adapter.util.AdapterRequestProcessorUtil

    public class AdapterRequestProcessorUtil

extends Object

Constructor Summary
`AdapterRequestProcessorUtil()`

Method Summary
`static boolean` | `forwardUsingRequest(String uri, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Forwards a request to a URI using a RequestDispatcher obtained from the request instead of using a RequestDispatcher obtained from the ServletContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterRequestProcessorUtil

    public AdapterRequestProcessorUtil()

Method Detail

### forwardUsingRequest

    public static boolean forwardUsingRequest(String uri,
                                              javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response)
                                       throws javax.servlet.ServletException,
                                              IOException

  Forwards a request to a URI using a RequestDispatcher obtained from the request instead of using a RequestDispatcher obtained from the ServletContext.

  Parameters
    `uri` - the URI to forward to
    `request` - the current `HttpServletRequest`
    `response` - the current `HttpServletResponse`
  Returns
    whether or not the forward was performed
  Throws
    `javax.servlet.ServletException` - the `ServletException` thrown by either the `Request`RequestDispatcher if a problem was encountered while performing the forward
    `IOException` - the `IOException` thrown by the `RequestDispatcher` if a IO problem was encountered while performing the forward.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.